package de.ivu.elect.presentation.wahlbeteiligung.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahlbeteiligung.WahlbeteiligungVerlaufCreateView;

public class WahlbeteiligungVerlaufCreateMenuItemEntry extends AbstractWahlbeteiligungVerlaufMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WahlbeteiligungVerlaufCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLBETEILIGUNG_VERLAUF_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return WahlbeteiligungVerlaufCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }

}
